Index: asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_rename.h
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_rename.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_rename.h	(revision 306)
@@ -220,4 +220,5 @@
 #define isrinib_table				_kernel_isrinib_table
 #define aisrinib_table				_kernel_aisrinib_table
+#define isrorder_table				_kernel_isrorder_table
 #define isrcb_table					_kernel_isrcb_table
 #define tnum_def_inhno				_kernel_tnum_def_inhno
@@ -235,239 +236,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  startup.c
- */
-#define _kerflg						__kernel_kerflg
-#define _exit_kernel				__kernel_exit_kernel
-#define _initialize_kmm				__kernel_initialize_kmm
-#define _kernel_malloc				__kernel_kernel_malloc
-#define _kernel_free				__kernel_kernel_free
-
-/*
- *  task.c
- */
-#define _p_runtsk					__kernel_p_runtsk
-#define _p_schedtsk					__kernel_p_schedtsk
-#define _enadsp						__kernel_enadsp
-#define _dspflg						__kernel_dspflg
-#define _ready_queue				__kernel_ready_queue
-#define _ready_primap				__kernel_ready_primap
-#define _free_tcb					__kernel_free_tcb
-#define _initialize_task			__kernel_initialize_task
-#define _search_schedtsk			__kernel_search_schedtsk
-#define _make_runnable				__kernel_make_runnable
-#define _make_non_runnable			__kernel_make_non_runnable
-#define _make_dormant				__kernel_make_dormant
-#define _make_active				__kernel_make_active
-#define _change_priority			__kernel_change_priority
-#define _rotate_ready_queue			__kernel_rotate_ready_queue
-#define _task_terminate				__kernel_task_terminate
-
-/*
- *  taskhook.c
- */
-#define _mtxhook_check_ceilpri		__kernel_mtxhook_check_ceilpri
-#define _mtxhook_scan_ceilmtx		__kernel_mtxhook_scan_ceilmtx
-#define _mtxhook_release_all		__kernel_mtxhook_release_all
-
-/*
- *  wait.c
- */
-#define _make_wait_tmout			__kernel_make_wait_tmout
-#define _wait_complete				__kernel_wait_complete
-#define _wait_tmout					__kernel_wait_tmout
-#define _wait_tmout_ok				__kernel_wait_tmout_ok
-#define _wobj_make_wait				__kernel_wobj_make_wait
-#define _wobj_make_wait_tmout		__kernel_wobj_make_wait_tmout
-#define _init_wait_queue			__kernel_init_wait_queue
-
-/*
- *  time_event.c
- */
-#define _boundary_evttim			__kernel_boundary_evttim
-#define _current_evttim				__kernel_current_evttim
-#define _current_hrtcnt				__kernel_current_hrtcnt
-#define _monotonic_evttim			__kernel_monotonic_evttim
-#define _systim_offset				__kernel_systim_offset
-#define _in_signal_time				__kernel_in_signal_time
-#define _initialize_tmevt			__kernel_initialize_tmevt
-#define _tmevt_up					__kernel_tmevt_up
-#define _tmevt_down					__kernel_tmevt_down
-#define _update_current_evttim		__kernel_update_current_evttim
-#define _set_hrt_event				__kernel_set_hrt_event
-#define _tmevtb_register			__kernel_tmevtb_register
-#define _tmevtb_enqueue				__kernel_tmevtb_enqueue
-#define _tmevtb_dequeue				__kernel_tmevtb_dequeue
-#define _check_adjtim				__kernel_check_adjtim
-#define _tmevt_lefttim				__kernel_tmevt_lefttim
-#define _signal_time				__kernel_signal_time
-
-/*
- *  semaphore.c
- */
-#define _free_semcb					__kernel_free_semcb
-#define _initialize_semaphore		__kernel_initialize_semaphore
-
-/*
- *  eventflag.c
- */
-#define _free_flgcb					__kernel_free_flgcb
-#define _initialize_eventflag		__kernel_initialize_eventflag
-#define _check_flg_cond				__kernel_check_flg_cond
-
-/*
- *  dataqueue.c
- */
-#define _free_dtqcb					__kernel_free_dtqcb
-#define _initialize_dataqueue		__kernel_initialize_dataqueue
-#define _enqueue_data				__kernel_enqueue_data
-#define _force_enqueue_data			__kernel_force_enqueue_data
-#define _dequeue_data				__kernel_dequeue_data
-#define _send_data					__kernel_send_data
-#define _force_send_data			__kernel_force_send_data
-#define _receive_data				__kernel_receive_data
-
-/*
- *  pridataq.c
- */
-#define _free_pdqcb					__kernel_free_pdqcb
-#define _initialize_pridataq		__kernel_initialize_pridataq
-#define _enqueue_pridata			__kernel_enqueue_pridata
-#define _dequeue_pridata			__kernel_dequeue_pridata
-#define _send_pridata				__kernel_send_pridata
-#define _receive_pridata			__kernel_receive_pridata
-
-/*
- *  mutex.c
- */
-#define _free_mtxcb					__kernel_free_mtxcb
-#define _initialize_mutex			__kernel_initialize_mutex
-#define _mutex_check_ceilpri		__kernel_mutex_check_ceilpri
-#define _mutex_scan_ceilmtx			__kernel_mutex_scan_ceilmtx
-#define _mutex_drop_priority		__kernel_mutex_drop_priority
-#define _mutex_acquire				__kernel_mutex_acquire
-#define _mutex_release				__kernel_mutex_release
-#define _mutex_release_all			__kernel_mutex_release_all
-
-/*
- *  mempfix.c
- */
-#define _free_mpfcb					__kernel_free_mpfcb
-#define _initialize_mempfix			__kernel_initialize_mempfix
-#define _get_mpf_block				__kernel_get_mpf_block
-
-/*
- *  time_manage.c
- */
-#define _check_nfyinfo				__kernel_check_nfyinfo
-#define _notify_handler				__kernel_notify_handler
-
-/*
- *  cyclic.c
- */
-#define _free_cyccb					__kernel_free_cyccb
-#define _initialize_cyclic			__kernel_initialize_cyclic
-#define _call_cyclic				__kernel_call_cyclic
-
-/*
- *  alarm.c
- */
-#define _free_almcb					__kernel_free_almcb
-#define _initialize_alarm			__kernel_initialize_alarm
-#define _call_alarm					__kernel_call_alarm
-
-/*
- *  interrupt.c
- */
-#define _free_isrcb					__kernel_free_isrcb
-#define _initialize_isr				__kernel_initialize_isr
-#define _call_isr					__kernel_call_isr
-#define _initialize_interrupt		__kernel_initialize_interrupt
-
-/*
- *  exception.c
- */
-#define _initialize_exception		__kernel_initialize_exception
-
-/*
- *  kernel_cfg.c
- */
-#define _initialize_object			__kernel_initialize_object
-#define _call_inirtn				__kernel_call_inirtn
-#define _call_terrtn				__kernel_call_terrtn
-#define _tmax_tskid					__kernel_tmax_tskid
-#define _tmax_stskid				__kernel_tmax_stskid
-#define _tinib_table				__kernel_tinib_table
-#define _atinib_table				__kernel_atinib_table
-#define _torder_table				__kernel_torder_table
-#define _tcb_table					__kernel_tcb_table
-#define _tmax_semid					__kernel_tmax_semid
-#define _tmax_ssemid				__kernel_tmax_ssemid
-#define _seminib_table				__kernel_seminib_table
-#define _aseminib_table				__kernel_aseminib_table
-#define _semcb_table				__kernel_semcb_table
-#define _tmax_flgid					__kernel_tmax_flgid
-#define _tmax_sflgid				__kernel_tmax_sflgid
-#define _flginib_table				__kernel_flginib_table
-#define _aflginib_table				__kernel_aflginib_table
-#define _flgcb_table				__kernel_flgcb_table
-#define _tmax_dtqid					__kernel_tmax_dtqid
-#define _tmax_sdtqid				__kernel_tmax_sdtqid
-#define _dtqinib_table				__kernel_dtqinib_table
-#define _adtqinib_table				__kernel_adtqinib_table
-#define _dtqcb_table				__kernel_dtqcb_table
-#define _tmax_pdqid					__kernel_tmax_pdqid
-#define _tmax_spdqid				__kernel_tmax_spdqid
-#define _pdqinib_table				__kernel_pdqinib_table
-#define _apdqinib_table				__kernel_apdqinib_table
-#define _pdqcb_table				__kernel_pdqcb_table
-#define _tmax_mtxid					__kernel_tmax_mtxid
-#define _tmax_smtxid				__kernel_tmax_smtxid
-#define _mtxinib_table				__kernel_mtxinib_table
-#define _amtxinib_table				__kernel_amtxinib_table
-#define _mtxcb_table				__kernel_mtxcb_table
-#define _tmax_mpfid					__kernel_tmax_mpfid
-#define _tmax_smpfid				__kernel_tmax_smpfid
-#define _mpfinib_table				__kernel_mpfinib_table
-#define _ampfinib_table				__kernel_ampfinib_table
-#define _mpfcb_table				__kernel_mpfcb_table
-#define _tmax_cycid					__kernel_tmax_cycid
-#define _tmax_scycid				__kernel_tmax_scycid
-#define _cycinib_table				__kernel_cycinib_table
-#define _acycinib_table				__kernel_acycinib_table
-#define _acyc_nfyinfo_table			__kernel_acyc_nfyinfo_table
-#define _cyccb_table				__kernel_cyccb_table
-#define _tmax_almid					__kernel_tmax_almid
-#define _tmax_salmid				__kernel_tmax_salmid
-#define _alminib_table				__kernel_alminib_table
-#define _aalminib_table				__kernel_aalminib_table
-#define _aalm_nfyinfo_table			__kernel_aalm_nfyinfo_table
-#define _almcb_table				__kernel_almcb_table
-#define _tnum_isr_queue				__kernel_tnum_isr_queue
-#define _isr_queue_list				__kernel_isr_queue_list
-#define _isr_queue_table			__kernel_isr_queue_table
-#define _tmax_isrid					__kernel_tmax_isrid
-#define _tmax_sisrid				__kernel_tmax_sisrid
-#define _isrinib_table				__kernel_isrinib_table
-#define _aisrinib_table				__kernel_aisrinib_table
-#define _isrcb_table				__kernel_isrcb_table
-#define _tnum_def_inhno				__kernel_tnum_def_inhno
-#define _inhinib_table				__kernel_inhinib_table
-#define _tnum_cfg_intno				__kernel_tnum_cfg_intno
-#define _intinib_table				__kernel_intinib_table
-#define _tnum_def_excno				__kernel_tnum_def_excno
-#define _excinib_table				__kernel_excinib_table
-#define _tmevt_heap					__kernel_tmevt_heap
-#define _istksz						__kernel_istksz
-#define _istk						__kernel_istk
-#define _istkpt						__kernel_istkpt
-#define _kmmsz						__kernel_kmmsz
-#define _kmm						__kernel_kmm
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "target_rename.h"
 
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_sym.def
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_sym.def	(revision 306)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_sym.def	(revision 306)
@@ -0,0 +1,150 @@
+USE_EXTERNAL_ID,true,bool,defined(USE_EXTERNAL_ID)
+SIL_ENDIAN_BIG,true,bool,defined(SIL_ENDIAN_BIG)
+SIL_ENDIAN_LITTLE,true,bool,defined(SIL_ENDIAN_LITTLE)
+TA_NULL
+TA_ACT
+TA_NOACTQUE
+TA_TPRI
+TA_WMUL
+TA_CLR
+TA_CEILING
+TA_STA
+TA_NONKERNEL
+TA_ENAINT
+TA_EDGE
+TNFY_HANDLER
+TNFY_SETVAR
+TNFY_INCVAR
+TNFY_ACTTSK
+TNFY_WUPTSK
+TNFY_SIGSEM
+TNFY_SETFLG
+TNFY_SNDDTQ
+TENFY_SETVAR
+TENFY_INCVAR
+TENFY_ACTTSK
+TENFY_WUPTSK
+TENFY_SIGSEM
+TENFY_SETFLG
+TENFY_SNDDTQ
+TMIN_TPRI,,signed
+TMAX_TPRI,,signed
+TMIN_DPRI,,signed
+TMAX_DPRI,,signed
+TMIN_ISRPRI,,signed
+TMAX_ISRPRI,,signed
+TBIT_FLGPTN
+TMAX_MAXSEM
+TMAX_RELTIM
+TMIN_INTPRI,,signed
+TMAX_INTPRI,,signed
+TMIN_TSKID,,signed
+TMIN_SEMID,,signed
+TMIN_FLGID,,signed
+TMIN_DTQID,,signed
+TMIN_PDQID,,signed
+TMIN_MTXID,,signed
+TMIN_MPFID,,signed
+TMIN_CYCID,,signed
+TMIN_ALMID,,signed
+USE_TSKINICTXB,true,bool,defined(USE_TSKINICTXB)
+OMIT_INITIALIZE_INTERRUPT,true,bool,defined(OMIT_INITIALIZE_INTERRUPT)
+USE_INHINIB_TABLE,true,bool,defined(USE_INHINIB_TABLE)
+USE_INTINIB_TABLE,true,bool,defined(USE_INTINIB_TABLE)
+OMIT_INITIALIZE_EXCEPTION,true,bool,defined(OMIT_INITIALIZE_EXCEPTION)
+DEFAULT_ISTK,,,defined(DEFAULT_ISTK)
+TARGET_TSKATR,,,defined(TARGET_TSKATR),0
+TARGET_INTATR,,,defined(TARGET_INTATR),0
+TARGET_INHATR,,,defined(TARGET_INHATR),0
+TARGET_ISRATR,,,defined(TARGET_ISRATR),0
+TARGET_EXCATR,,,defined(TARGET_EXCATR),0
+TARGET_MIN_STKSZ,,,defined(TARGET_MIN_STKSZ),1
+TARGET_MIN_ISTKSZ,,,defined(TARGET_MIN_ISTKSZ),1
+CHECK_STKSZ_ALIGN,,,defined(CHECK_STKSZ_ALIGN),1
+CHECK_INTPTR_ALIGN,,,defined(CHECK_INTPTR_ALIGN),1
+CHECK_INTPTR_NONNULL,true,bool,defined(CHECK_INTPTR_NONNULL)
+CHECK_FUNC_ALIGN,,,defined(CHECK_FUNC_ALIGN),1
+CHECK_FUNC_NONNULL,true,bool,defined(CHECK_FUNC_NONNULL)
+CHECK_STACK_ALIGN,,,defined(CHECK_STACK_ALIGN),1
+CHECK_STACK_NONNULL,true,bool,defined(CHECK_STACK_NONNULL)
+CHECK_MPF_ALIGN,,,defined(CHECK_MPF_ALIGN),1
+CHECK_MPF_NONNULL,true,bool,defined(CHECK_MPF_NONNULL)
+CHECK_MB_ALIGN,,,defined(CHECK_MB_ALIGN),1
+sizeof_void_ptr,sizeof(void*)
+sizeof_uint_t,sizeof(uint_t)
+sizeof_size_t,sizeof(size_t)
+sizeof_intptr_t,sizeof(intptr_t)
+sizeof_ID,sizeof(ID)
+sizeof_FP,sizeof(FP)
+sizeof_INTNO,sizeof(INTNO)
+sizeof_INHNO,sizeof(INHNO)
+sizeof_EXCNO,sizeof(EXCNO)
+sizeof_TASK,sizeof(TASK)
+sizeof_TMEHDR,sizeof(TMEHDR)
+sizeof_ISR,sizeof(ISR)
+sizeof_INTHDR,sizeof(INTHDR)
+sizeof_EXCHDR,sizeof(EXCHDR)
+sizeof_INIRTN,sizeof(INIRTN)
+sizeof_TERRTN,sizeof(TERRTN)
+sizeof_NFYHDR,sizeof(NFYHDR)
+sizeof_TINIB,sizeof(TINIB)
+offsetof_TINIB_tskatr,"offsetof(TINIB,tskatr)"
+offsetof_TINIB_exinf,"offsetof(TINIB,exinf)"
+offsetof_TINIB_task,"offsetof(TINIB,task)"
+offsetof_TINIB_ipriority,"offsetof(TINIB,ipriority)"
+offsetof_TINIB_stksz,"offsetof(TINIB,stksz)",,!defined(USE_TSKINICTXB)
+offsetof_TINIB_stk,"offsetof(TINIB,stk)",,!defined(USE_TSKINICTXB)
+sizeof_SEMINIB,sizeof(SEMINIB)
+offsetof_SEMINIB_sematr,"offsetof(SEMINIB,sematr)"
+offsetof_SEMINIB_isemcnt,"offsetof(SEMINIB,isemcnt)"
+offsetof_SEMINIB_maxsem,"offsetof(SEMINIB,maxsem)"
+sizeof_FLGPTN,sizeof(FLGPTN)
+sizeof_FLGINIB,sizeof(FLGINIB)
+offsetof_FLGINIB_flgatr,"offsetof(FLGINIB,flgatr)"
+offsetof_FLGINIB_iflgptn,"offsetof(FLGINIB,iflgptn)"
+sizeof_DTQINIB,sizeof(DTQINIB)
+offsetof_DTQINIB_dtqatr,"offsetof(DTQINIB,dtqatr)"
+offsetof_DTQINIB_dtqcnt,"offsetof(DTQINIB,dtqcnt)"
+offsetof_DTQINIB_p_dtqmb,"offsetof(DTQINIB,p_dtqmb)"
+sizeof_PDQINIB,sizeof(PDQINIB)
+offsetof_PDQINIB_pdqatr,"offsetof(PDQINIB,pdqatr)"
+offsetof_PDQINIB_pdqcnt,"offsetof(PDQINIB,pdqcnt)"
+offsetof_PDQINIB_maxdpri,"offsetof(PDQINIB,maxdpri)"
+offsetof_PDQINIB_p_pdqmb,"offsetof(PDQINIB,p_pdqmb)"
+sizeof_MTXINIB,sizeof(MTXINIB)
+offsetof_MTXINIB_mtxatr,"offsetof(MTXINIB,mtxatr)"
+offsetof_MTXINIB_ceilpri,"offsetof(MTXINIB,ceilpri)"
+sizeof_MPFINIB,sizeof(MPFINIB)
+offsetof_MPFINIB_mpfatr,"offsetof(MPFINIB,mpfatr)"
+offsetof_MPFINIB_blkcnt,"offsetof(MPFINIB,blkcnt)"
+offsetof_MPFINIB_blksz,"offsetof(MPFINIB,blksz)"
+offsetof_MPFINIB_mpf,"offsetof(MPFINIB,mpf)"
+offsetof_MPFINIB_p_mpfmb,"offsetof(MPFINIB,p_mpfmb)"
+sizeof_CYCINIB,sizeof(CYCINIB)
+offsetof_CYCINIB_cycatr,"offsetof(CYCINIB,cycatr)"
+offsetof_CYCINIB_exinf,"offsetof(CYCINIB,exinf)"
+offsetof_CYCINIB_nfyhdr,"offsetof(CYCINIB,nfyhdr)"
+offsetof_CYCINIB_cyctim,"offsetof(CYCINIB,cyctim)"
+offsetof_CYCINIB_cycphs,"offsetof(CYCINIB,cycphs)"
+sizeof_ALMINIB,sizeof(ALMINIB)
+offsetof_ALMINIB_almatr,"offsetof(ALMINIB,almatr)"
+offsetof_ALMINIB_exinf,"offsetof(ALMINIB,exinf)"
+offsetof_ALMINIB_nfyhdr,"offsetof(ALMINIB,nfyhdr)"
+sizeof_ISRINIB,sizeof(ISRINIB)
+offsetof_ISRINIB_isratr,"offsetof(ISRINIB,isratr)"
+offsetof_ISRINIB_exinf,"offsetof(ISRINIB,exinf)"
+offsetof_ISRINIB_p_isr_queue,"offsetof(ISRINIB,p_isr_queue)"
+offsetof_ISRINIB_isr,"offsetof(ISRINIB,isr)"
+offsetof_ISRINIB_isrpri,"offsetof(ISRINIB,isrpri)"
+sizeof_INHINIB,sizeof(INHINIB),,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INHINIB_inhno,"offsetof(INHINIB,inhno)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INHINIB_inhatr,"offsetof(INHINIB,inhatr)",,!defined(OMIT_INITIALIZE_INTERRUPT),,
+offset_INHINIB_int_entry,"offsetof(INHINIB,int_entry)",,!defined(OMIT_INITIALIZE_INTERRUPT),,
+sizeof_INTINIB,sizeof(INTINIB),,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intno,"offsetof(INTINIB,intno)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intatr,"offsetof(INTINIB,intatr)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intpri,"offsetof(INTINIB,intpri)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+sizeof_EXCINIB,sizeof(EXCINIB),,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_excno,"offsetof(EXCINIB,excno)",,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_excatr,"offsetof(EXCINIB,excatr)",,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_exc_entry,"offsetof(EXCINIB,exc_entry)",,!defined(OMIT_INITIALIZE_EXCEPTION)
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_unrename.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/kernel_unrename.h	(revision 306)
@@ -221,4 +221,5 @@
 #undef isrinib_table
 #undef aisrinib_table
+#undef isrorder_table
 #undef isrcb_table
 #undef tnum_def_inhno
@@ -236,239 +237,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  startup.c
- */
-#undef _kerflg
-#undef _exit_kernel
-#undef _initialize_kmm
-#undef _kernel_malloc
-#undef _kernel_free
-
-/*
- *  task.c
- */
-#undef _p_runtsk
-#undef _p_schedtsk
-#undef _enadsp
-#undef _dspflg
-#undef _ready_queue
-#undef _ready_primap
-#undef _free_tcb
-#undef _initialize_task
-#undef _search_schedtsk
-#undef _make_runnable
-#undef _make_non_runnable
-#undef _make_dormant
-#undef _make_active
-#undef _change_priority
-#undef _rotate_ready_queue
-#undef _task_terminate
-
-/*
- *  taskhook.c
- */
-#undef _mtxhook_check_ceilpri
-#undef _mtxhook_scan_ceilmtx
-#undef _mtxhook_release_all
-
-/*
- *  wait.c
- */
-#undef _make_wait_tmout
-#undef _wait_complete
-#undef _wait_tmout
-#undef _wait_tmout_ok
-#undef _wobj_make_wait
-#undef _wobj_make_wait_tmout
-#undef _init_wait_queue
-
-/*
- *  time_event.c
- */
-#undef _boundary_evttim
-#undef _current_evttim
-#undef _current_hrtcnt
-#undef _monotonic_evttim
-#undef _systim_offset
-#undef _in_signal_time
-#undef _initialize_tmevt
-#undef _tmevt_up
-#undef _tmevt_down
-#undef _update_current_evttim
-#undef _set_hrt_event
-#undef _tmevtb_register
-#undef _tmevtb_enqueue
-#undef _tmevtb_dequeue
-#undef _check_adjtim
-#undef _tmevt_lefttim
-#undef _signal_time
-
-/*
- *  semaphore.c
- */
-#undef _free_semcb
-#undef _initialize_semaphore
-
-/*
- *  eventflag.c
- */
-#undef _free_flgcb
-#undef _initialize_eventflag
-#undef _check_flg_cond
-
-/*
- *  dataqueue.c
- */
-#undef _free_dtqcb
-#undef _initialize_dataqueue
-#undef _enqueue_data
-#undef _force_enqueue_data
-#undef _dequeue_data
-#undef _send_data
-#undef _force_send_data
-#undef _receive_data
-
-/*
- *  pridataq.c
- */
-#undef _free_pdqcb
-#undef _initialize_pridataq
-#undef _enqueue_pridata
-#undef _dequeue_pridata
-#undef _send_pridata
-#undef _receive_pridata
-
-/*
- *  mutex.c
- */
-#undef _free_mtxcb
-#undef _initialize_mutex
-#undef _mutex_check_ceilpri
-#undef _mutex_scan_ceilmtx
-#undef _mutex_drop_priority
-#undef _mutex_acquire
-#undef _mutex_release
-#undef _mutex_release_all
-
-/*
- *  mempfix.c
- */
-#undef _free_mpfcb
-#undef _initialize_mempfix
-#undef _get_mpf_block
-
-/*
- *  time_manage.c
- */
-#undef _check_nfyinfo
-#undef _notify_handler
-
-/*
- *  cyclic.c
- */
-#undef _free_cyccb
-#undef _initialize_cyclic
-#undef _call_cyclic
-
-/*
- *  alarm.c
- */
-#undef _free_almcb
-#undef _initialize_alarm
-#undef _call_alarm
-
-/*
- *  interrupt.c
- */
-#undef _free_isrcb
-#undef _initialize_isr
-#undef _call_isr
-#undef _initialize_interrupt
-
-/*
- *  exception.c
- */
-#undef _initialize_exception
-
-/*
- *  kernel_cfg.c
- */
-#undef _initialize_object
-#undef _call_inirtn
-#undef _call_terrtn
-#undef _tmax_tskid
-#undef _tmax_stskid
-#undef _tinib_table
-#undef _atinib_table
-#undef _torder_table
-#undef _tcb_table
-#undef _tmax_semid
-#undef _tmax_ssemid
-#undef _seminib_table
-#undef _aseminib_table
-#undef _semcb_table
-#undef _tmax_flgid
-#undef _tmax_sflgid
-#undef _flginib_table
-#undef _aflginib_table
-#undef _flgcb_table
-#undef _tmax_dtqid
-#undef _tmax_sdtqid
-#undef _dtqinib_table
-#undef _adtqinib_table
-#undef _dtqcb_table
-#undef _tmax_pdqid
-#undef _tmax_spdqid
-#undef _pdqinib_table
-#undef _apdqinib_table
-#undef _pdqcb_table
-#undef _tmax_mtxid
-#undef _tmax_smtxid
-#undef _mtxinib_table
-#undef _amtxinib_table
-#undef _mtxcb_table
-#undef _tmax_mpfid
-#undef _tmax_smpfid
-#undef _mpfinib_table
-#undef _ampfinib_table
-#undef _mpfcb_table
-#undef _tmax_cycid
-#undef _tmax_scycid
-#undef _cycinib_table
-#undef _acycinib_table
-#undef _acyc_nfyinfo_table
-#undef _cyccb_table
-#undef _tmax_almid
-#undef _tmax_salmid
-#undef _alminib_table
-#undef _aalminib_table
-#undef _aalm_nfyinfo_table
-#undef _almcb_table
-#undef _tnum_isr_queue
-#undef _isr_queue_list
-#undef _isr_queue_table
-#undef _tmax_isrid
-#undef _tmax_sisrid
-#undef _isrinib_table
-#undef _aisrinib_table
-#undef _isrcb_table
-#undef _tnum_def_inhno
-#undef _inhinib_table
-#undef _tnum_cfg_intno
-#undef _intinib_table
-#undef _tnum_def_excno
-#undef _excinib_table
-#undef _tmevt_heap
-#undef _istksz
-#undef _istk
-#undef _istkpt
-#undef _kmmsz
-#undef _kmm
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "target_unrename.h"
 
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/mempfix.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/mempfix.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/mempfix.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: mempfix.c 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: mempfix.c 717 2016-03-31 07:03:53Z ertl-hiro $
  */
 
@@ -226,5 +226,7 @@
 	MPFINIB	*p_mpfinib;
 	ATR		mpfatr;
-	void	*mpf;
+	uint_t	blkcnt;
+	uint_t	blksz;
+	MPF_T	*mpf;
 	MPFMB	*p_mpfmb;
 	ER		ercd;
@@ -232,16 +234,20 @@
 	LOG_ACRE_MPF_ENTER(pk_cmpf);
 	CHECK_TSKCTX_UNL();
-	CHECK_RSATR(pk_cmpf->mpfatr, TA_TPRI);
-	CHECK_PAR(pk_cmpf->blkcnt != 0);
-	CHECK_PAR(pk_cmpf->blksz != 0);
-	if (pk_cmpf->mpf != NULL) {
-		CHECK_PAR(MPF_ALIGN(pk_cmpf->mpf));
-	}
-	if (pk_cmpf->mpfmb != NULL) {
-		CHECK_PAR(MB_ALIGN(pk_cmpf->mpfmb));
-	}
+
 	mpfatr = pk_cmpf->mpfatr;
+	blkcnt = pk_cmpf->blkcnt;
+	blksz = pk_cmpf->blksz;
 	mpf = pk_cmpf->mpf;
 	p_mpfmb = pk_cmpf->mpfmb;
+
+	CHECK_RSATR(mpfatr, TA_TPRI);
+	CHECK_PAR(blkcnt != 0);
+	CHECK_PAR(blksz != 0);
+	if (mpf != NULL) {
+		CHECK_PAR(MPF_ALIGN(mpf));
+	}
+	if (p_mpfmb != NULL) {
+		CHECK_PAR(MB_ALIGN(p_mpfmb));
+	}
 
 	lock_cpu();
@@ -251,5 +257,5 @@
 	else {
 		if (mpf == NULL) {
-			mpf = kernel_malloc(ROUND_MPF_T(pk_cmpf->blksz) * pk_cmpf->blkcnt);
+			mpf = kernel_malloc(ROUND_MPF_T(blksz) * blkcnt);
 			mpfatr |= TA_MEMALLOC;
 		}
@@ -259,9 +265,9 @@
 		else {
 			if (p_mpfmb == NULL) {
-				p_mpfmb = kernel_malloc(sizeof(MPFMB) * pk_cmpf->blkcnt);
+				p_mpfmb = kernel_malloc(sizeof(MPFMB) * blkcnt);
 				mpfatr |= TA_MBALLOC;
 			}
 			if (p_mpfmb == NULL) {
-				if (pk_cmpf->mpf == NULL) {
+				if (mpf == NULL) {
 					kernel_free(mpf);
 				}
@@ -272,6 +278,6 @@
 				p_mpfinib = (MPFINIB *)(p_mpfcb->p_mpfinib);
 				p_mpfinib->mpfatr = mpfatr;
-				p_mpfinib->blkcnt = pk_cmpf->blkcnt;
-				p_mpfinib->blksz = ROUND_MPF_T(pk_cmpf->blksz);
+				p_mpfinib->blkcnt = blkcnt;
+				p_mpfinib->blksz = ROUND_MPF_T(blksz);
 				p_mpfinib->mpf = mpf;
 				p_mpfinib->p_mpfmb = p_mpfmb;
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/mutex.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/mutex.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/mutex.c	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: mutex.c 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: mutex.c 717 2016-03-31 07:03:53Z ertl-hiro $
  */
 
@@ -319,5 +319,5 @@
 	if (MTX_CEILING(p_mtxcb)
 					&& p_mtxcb->p_mtxinib->ceilpri < p_tcb->priority) {
-		(void) change_priority(p_tcb, p_mtxcb->p_mtxinib->ceilpri, true);
+		change_priority(p_tcb, p_mtxcb->p_mtxinib->ceilpri, true);
 	}
 }
@@ -391,13 +391,19 @@
 	MTXCB	*p_mtxcb;
 	MTXINIB	*p_mtxinib;
+	ATR		mtxatr;
+	PRI		ceilpri;
 	ER		ercd;
 
 	LOG_ACRE_MTX_ENTER(pk_cmtx);
 	CHECK_TSKCTX_UNL();							/*ï¼»NGKI2023ï¼½ï¼»NGKI2024ï¼½*/
-	if (pk_cmtx->mtxatr == TA_CEILING) {
-		CHECK_PAR(VALID_TPRI(pk_cmtx->ceilpri));	/*ï¼»NGKI2037ï¼½*/
-	}
-	else {
-		CHECK_RSATR(pk_cmtx->mtxatr, TA_TPRI);	/*ï¼»NGKI2025ï¼½*/
+
+	mtxatr = pk_cmtx->mtxatr;
+	ceilpri = pk_cmtx->ceilpri;
+
+	if (mtxatr == TA_CEILING) {
+		CHECK_PAR(VALID_TPRI(ceilpri));			/*ï¼»NGKI2037ï¼½*/
+	}
+	else {
+		CHECK_RSATR(mtxatr, TA_TPRI);			/*ï¼»NGKI2025ï¼½*/
 	}
 
@@ -409,6 +415,6 @@
 		p_mtxcb = ((MTXCB *) queue_delete_next(&free_mtxcb));
 		p_mtxinib = (MTXINIB *)(p_mtxcb->p_mtxinib);
-		p_mtxinib->mtxatr = pk_cmtx->mtxatr;
-		p_mtxinib->ceilpri = INT_PRIORITY(pk_cmtx->ceilpri);
+		p_mtxinib->mtxatr = mtxatr;
+		p_mtxinib->ceilpri = INT_PRIORITY(ceilpri);
 
 		queue_initialize(&(p_mtxcb->wait_queue));
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/pridataq.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/pridataq.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/pridataq.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: pridataq.c 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: pridataq.c 717 2016-03-31 07:03:53Z ertl-hiro $
  */
 
@@ -348,4 +348,6 @@
 	PDQINIB	*p_pdqinib;
 	ATR		pdqatr;
+	uint_t	pdqcnt;
+	PRI		maxdpri;
 	PDQMB	*p_pdqmb;
 	ER		ercd;
@@ -353,8 +355,12 @@
 	LOG_ACRE_PDQ_ENTER(pk_cpdq);
 	CHECK_TSKCTX_UNL();
-	CHECK_RSATR(pk_cpdq->pdqatr, TA_TPRI);
-	CHECK_PAR(VALID_DPRI(pk_cpdq->maxdpri));
+
 	pdqatr = pk_cpdq->pdqatr;
+	pdqcnt = pk_cpdq->pdqcnt;
+	maxdpri = pk_cpdq->maxdpri;
 	p_pdqmb = pk_cpdq->pdqmb;
+
+	CHECK_RSATR(pdqatr, TA_TPRI);
+	CHECK_PAR(VALID_DPRI(maxdpri));
 
 	lock_cpu();
@@ -363,9 +369,9 @@
 	}
 	else {
-		if (pk_cpdq->pdqcnt != 0 && p_pdqmb == NULL) {
-			p_pdqmb = kernel_malloc(sizeof(PDQMB) * pk_cpdq->pdqcnt);
+		if (pdqcnt != 0 && p_pdqmb == NULL) {
+			p_pdqmb = kernel_malloc(sizeof(PDQMB) * pdqcnt);
 			pdqatr |= TA_MBALLOC;
 		}
-		if (pk_cpdq->pdqcnt != 0 && p_pdqmb == NULL) {
+		if (pdqcnt != 0 && p_pdqmb == NULL) {
 			ercd = E_NOMEM;
 		}
@@ -374,6 +380,6 @@
 			p_pdqinib = (PDQINIB *)(p_pdqcb->p_pdqinib);
 			p_pdqinib->pdqatr = pdqatr;
-			p_pdqinib->pdqcnt = pk_cpdq->pdqcnt;
-			p_pdqinib->maxdpri = pk_cpdq->maxdpri;
+			p_pdqinib->pdqcnt = pdqcnt;
+			p_pdqinib->maxdpri = maxdpri;
 			p_pdqinib->p_pdqmb = p_pdqmb;
 
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/semaphore.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/semaphore.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/semaphore.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: semaphore.c 471 2015-12-30 10:03:16Z ertl-hiro $
+ *  $Id: semaphore.c 717 2016-03-31 07:03:53Z ertl-hiro $
  */
 
@@ -190,11 +190,18 @@
 	SEMCB	*p_semcb;
 	SEMINIB	*p_seminib;
+	ATR		sematr;
+	uint_t	isemcnt, maxsem;
 	ER		ercd;
 
 	LOG_ACRE_SEM_ENTER(pk_csem);
 	CHECK_TSKCTX_UNL();
-	CHECK_RSATR(pk_csem->sematr, TA_TPRI);
-	CHECK_PAR(0 <= pk_csem->isemcnt && pk_csem->isemcnt <= pk_csem->maxsem);
-	CHECK_PAR(1 <= pk_csem->maxsem && pk_csem->maxsem <= TMAX_MAXSEM);
+
+	sematr = pk_csem->sematr;
+	isemcnt = pk_csem->isemcnt;
+	maxsem = pk_csem->maxsem;
+
+	CHECK_RSATR(sematr, TA_TPRI);
+	CHECK_PAR(0 <= isemcnt && isemcnt <= maxsem);
+	CHECK_PAR(1 <= maxsem && maxsem <= TMAX_MAXSEM);
 
 	lock_cpu();
@@ -205,7 +212,7 @@
 		p_semcb = ((SEMCB *) queue_delete_next(&free_semcb));
 		p_seminib = (SEMINIB *)(p_semcb->p_seminib);
-		p_seminib->sematr = pk_csem->sematr;
-		p_seminib->isemcnt = pk_csem->isemcnt;
-		p_seminib->maxsem = pk_csem->maxsem;
+		p_seminib->sematr = sematr;
+		p_seminib->isemcnt = isemcnt;
+		p_seminib->maxsem = maxsem;
 
 		queue_initialize(&(p_semcb->wait_queue));
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/startup.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/startup.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/startup.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: startup.c 189 2014-06-22 10:49:57Z ertl-hiro $
+ *  $Id: startup.c 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
@@ -101,4 +101,11 @@
 sta_ker(void)
 {
+	/*
+	 *  TECSã®åæå
+	 */
+#ifndef TOPPERS_OMIT_TECS
+	initialize_tecs();
+#endif /* TOPPERS_OMIT_TECS */
+
 	/*
 	 *  ã¿ã¼ã²ããä¾å­ã®åæå
